// vim: ft=asm
#ifndef rv_asm_defs_h
#define rv_asm_defs_h 1

.altmacro
.syntax	unified


// return and conditional return
.macro ret c=	; bx\c&	lr		; .endm


// this helps to set the size of functions / variables for debugging purposes

.macro .done
.endm
.macro .donedone
	.purgem .done
	.macro .done
	.endm
.endm

.macro .fun label
	.done
	.global	\label&
	.balign	4
	.type	\label&, "function"
	.thumb
	.thumb_func
\label&:
	.fnstart
	.purgem .done
	.macro .done
		.size \label&, . - \label&
		.cantunwind
		.fnend
		.donedone
	.endm
.endm

.macro .var label
	.done
	.global	\label&
	.balign	4
	.type	\label&, "object"
\label&:
	.purgem .done
	.macro .done
		.size \label&, . - \label&
		.donedone
	.endm
.endm

#endif
